<link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Poppins&display=swap" rel="stylesheet"><div class="outer-container">
    <h2 class="main_head" *ngIf="freshpage">Let's play Tic Tac Toe</h2>

    <h3 class="player" *ngIf="!winner && !isdraw && !freshpage">current player:{{player}}</h3>

    <h2 *ngIf="winner"> Player {{winner}} Won! </h2>

    <h2 *ngIf="isdraw">Draw  !!</h2>

    <button *ngIf="winner || isdraw || freshpage" outline   (click)="newGame()">Start Game</button>

    <main *ngIf="!winner && !isdraw">
        <app-board 
         *ngFor="let val of squares; let i =index"
         [value]="val" 
         (click)="makeMove(i)"
         ></app-board>
    </main>
</div>